For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Get entity metadata

GET
/entities/:entity_id/partner_metadata
GET
/v1/entities/:entity_id/partner_metadata
$curl https://api.sandbox.monite.com/v1/entities/entity_id/partner_metadata \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>"
1{
2 "metadata": {
3 "key": "value"
4 }
5}
Retrieve a metadata object associated with this entity, usually in a JSON format.
Was this page helpful?
Previous

Replace entity metadata

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired

Headers

x-monite-versionstringRequired

Response

Successful Response
metadatamap from strings to any
Metadata for partner needs

Errors

422
Get Entities ID Partner Metadata Request Unprocessable Entity Error
500
Get Entities ID Partner Metadata Request Internal Server Error